Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.webservice
Class ServiceDeployerJSE

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.webservice.ServiceDeployer
                  org.jboss.webservice.ServiceDeployerJSE

All Implemented Interfaces:
  EventListener, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, javax.management.NotificationListener, org.jboss.system.Service, ServiceDeployerJSEMBean, ServiceDeployerMBean, org.jboss.system.ServiceMBean

public class ServiceDeployerJSE
extends ServiceDeployer
implements ServiceDeployerJSEMBean

A deployer service that manages WS4EE compliant Web-Services for WAR

Since:
  15-April-2004
Author:
  Thomas.Diesler@jboss.org

Nested Class Summary

Nested classes inherited from class org.jboss.webservice.ServiceDeployer
`ServiceDeployer.ServiceLocationResolver`

Field Summary

Fields inherited from class org.jboss.webservice.ServiceDeployer
`INIT_PARAM_WEBSERVICE_ID, WEBSERVICE_CONTEXT_ROOT, webservicesMap`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.webservice.ServiceDeployerJSEMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`ServiceDeployerJSE()`

Method Summary
`protected void` | `createWebservice(org.jboss.deployment.DeploymentInfo di)` Is called when the parent deployer sends the CREATE_NOTIFICATION.
`protected String` | `getServiceEndpointServletName()` Override to return the name of the service endpoint servlet
`protected URL` | `getWebservicesDescriptor(org.jboss.deployment.DeploymentInfo di)` Get the resource name of the webservices.xml descriptor.
`void` | `setWARDeployer(javax.management.ObjectName deployerName)` Set the service name of the WAR deployer
`protected void` | `startService()` Register this service as NotificationListener to the WARDeployer
`protected void` | `stopService()` Unregister this service as NotificationListener from the WARDeployer

Methods inherited from class org.jboss.webservice.ServiceDeployer
`deployWebservices, destroyWebservice, handleNotification, handleShutdownException, handleStartupException, initWebservice, modifyServletConfig, parseWebservicesXML, registerNotificationListener, startWebservice, stopWebservice, undeployWebservices, unregisterNotificationListener`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroy, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Constructor Detail

### ServiceDeployerJSE

    public ServiceDeployerJSE()

Method Detail

### setWARDeployer

    public void setWARDeployer(javax.management.ObjectName deployerName)

  Set the service name of the WAR deployer

  Specified by:
    `setWARDeployer` in interface `ServiceDeployerJSEMBean`

### startService

    protected void startService()
                         throws Exception

  Register this service as NotificationListener to the WARDeployer

  Overrides:
    `startService` in class `ServiceDeployer`
  Throws:
    `Exception`

### stopService

    protected void stopService()

  Unregister this service as NotificationListener from the WARDeployer

  Overrides:
    `stopService` in class `ServiceDeployer`

### getWebservicesDescriptor

    protected URL getWebservicesDescriptor(org.jboss.deployment.DeploymentInfo di)

  Get the resource name of the webservices.xml descriptor.

  Specified by:
    `getWebservicesDescriptor` in class `ServiceDeployer`

### createWebservice

    protected void createWebservice(org.jboss.deployment.DeploymentInfo di)
                             throws org.jboss.deployment.DeploymentException

  Is called when the parent deployer sends the CREATE_NOTIFICATION.

  This implemantation modifies the servlet entries in web.xml

  Overrides:
    `createWebservice` in class `ServiceDeployer`
  Throws:
    `org.jboss.deployment.DeploymentException`

### getServiceEndpointServletName

    protected String getServiceEndpointServletName()

  Override to return the name of the service endpoint servlet

  Specified by:
    `getServiceEndpointServletName` in class `ServiceDeployer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.